Sep 292014
 

Il più nuovo e pericoloso bug al momento presente è quello chiamato “Shellshock”, si tratta di un bug di sicurezza nella shell Bash Unix ampiamente utilizzata, che è stato divulgato il 24 settembre 2014. Molti demoni di Internet, come i server web, utilizzano Bash per elaborare alcuni comandi, consentendo ad un utente malintenzionato di causare alle versioni vulnerabili di Bash di eseguire comandi arbitrari. Questo può consentire a un utente malintenzionato di ottenere l’accesso non autorizzato a un sistema informatico.

Il bug fa sì che Bash esegua involontariamente comandi quando vengono memorizzati in variabili d’ambiente appositamente predisposte. In pochi giorni, una serie di ulteriori vulnerabilità correlate a Bash sono state trovate, che ha portato alla necessità di ulteriori patch.

Entro il 25 settembre, botnet basati su computer compromessi con questo exploit sono stati utilizzati dagli aggressori per attacchi di tipo denial-of-service distribuiti e la scansione della vulnerabilità per cercare nuove vittime, fonte wikipedia

Vediamo come verificare se il computer o il server è vulnerabile. Continue reading »

flattr this!